diff --git a/src/dynamic_compiler.c b/src/dynamic_compiler.c
index f8e638b861..ad35af748a 100644
--- a/src/dynamic_compiler.c
+++ b/src/dynamic_compiler.c
@@ -219,7 +219,11 @@ const char *dyna_line[DC_NUM_VECTORS] = {
 	"@dynamic=md5($p)@900150983cd24fb0d6963f7d28e17f72",
 	"@dynamic=md5($p)@527bd5b5d689e2c32ae974c6229ff785",
 	"@dynamic=md5($p)@9dc1dc3f8499ab3bbc744557acf0a7fb",
-	"@dynamic=md5($p)@142a42ffcb282cf8087dd4dfebacdec2",
+#if SIMD_COEF_32 < 4
+	"@dynamic=md5($p)@fc58a609d0358176385b00970bfb2b49", // Len 110
+#else
+	"@dynamic=md5($p)@142a42ffcb282cf8087dd4dfebacdec2", // Len 55
+#endif
 	"@dynamic=md5($p)@d41d8cd98f00b204e9800998ecf8427e",
 };
 const char *options_format="";
@@ -1525,9 +1529,6 @@ static int compile_keys_base16_in1_type(char *pExpr, DC_struct *_p, int salt_hex
 	comp_add_script_line("MaxInputLenX86=110\n");
 	comp_add_script_line("MaxInputLen=110\n");
 
-#if SIMD_COEF_32 < 4
-	fprintf(stderr, "%s() maxlen 110\n", __func__);
-#endif
 	// Build test strings.
 	strcpy(gen_pw, "abc");
 	build_test_string(_p, &_p->pLine[0]);
@@ -2032,9 +2033,6 @@ static int parse_expression(DC_struct *p) {
 		comp_add_script_line("MaxInputLen=%d\n",max_inp_len);
 	}
 
-#if SIMD_COEF_32 < 4
-	fprintf(stderr, "%s() maxlen %d\n", __func__, max_inp_len);
-#endif
 	// Build test strings.
 	strcpy(gen_pw, "abc");
 	build_test_string(p, &p->pLine[0]);
diff --git a/src/dynamic_compiler_fmt_plug.c b/src/dynamic_compiler_fmt_plug.c
index 36ca668445..a95f6799de 100644
--- a/src/dynamic_compiler_fmt_plug.c
+++ b/src/dynamic_compiler_fmt_plug.c
@@ -56,7 +56,11 @@ static struct fmt_tests tests[DC_NUM_VECTORS + 1] = {
 	{"@dynamic=md5($p)@900150983cd24fb0d6963f7d28e17f72", "abc"},
 	{"@dynamic=md5($p)@527bd5b5d689e2c32ae974c6229ff785", "john"},
 	{"@dynamic=md5($p)@9dc1dc3f8499ab3bbc744557acf0a7fb", "passweird"},
+#if SIMD_COEF_32 < 4
+	{"@dynamic=md5($p)@fc58a609d0358176385b00970bfb2b49", "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyzABCDEF"},
+#else
 	{"@dynamic=md5($p)@142a42ffcb282cf8087dd4dfebacdec2", "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyzABC"},
+#endif
 	{"@dynamic=md5($p)@d41d8cd98f00b204e9800998ecf8427e", ""},
 	{NULL},
 };
@@ -221,10 +225,6 @@ static void link_funcs() {
 	}
 	tests[3].plaintext = max_vector;
 	tests[4].plaintext = "";
-#if SIMD_COEF_32 < 4
-	fprintf(stderr, "%s() maxlen %d\n", __func__, fmt_CompiledDynamic.params.plaintext_length);
-	fprintf(stderr, "%s() '%s' %s\n", __func__, tests[3].plaintext, tests[3].ciphertext);
-#endif
 }
 
 static void our_init(struct fmt_main *self)
diff --git a/src/dynamic_compiler_lib.c b/src/dynamic_compiler_lib.c
index 17323500db..6c055f3124 100644
--- a/src/dynamic_compiler_lib.c
+++ b/src/dynamic_compiler_lib.c
@@ -31,11 +31,17 @@ typedef struct LIB_struct {
 	int nlegacy_types;
 	int legacy_types[10];
 	DC_struct code;
-}LIB_struct;
+} LIB_struct;
 
 static LIB_struct lib[] = {
 	// might want to add a extra param of ,MaxInputLen=55 ??
-	{ 1, {0}, {DC_MAGIC, 0x09ABB6B4, NULL, "dynamic=md5($p)", "", "Expression=dynamic=md5($p)\nFlag=MGF_KEYS_INPUT\nFunc=DynamicFunc__crypt_md5\nMaxInputLenX86=110\nMaxInputLen=55\nTest=@dynamic=md5($p)@900150983cd24fb0d6963f7d28e17f72:abc\nTest=@dynamic=md5($p)@527bd5b5d689e2c32ae974c6229ff785:john\nTest=@dynamic=md5($p)@9dc1dc3f8499ab3bbc744557acf0a7fb:passweird", "@dynamic=md5($p)@", { "@dynamic=md5($p)@900150983cd24fb0d6963f7d28e17f72", "@dynamic=md5($p)@527bd5b5d689e2c32ae974c6229ff785","@dynamic=md5($p)@9dc1dc3f8499ab3bbc744557acf0a7fb","@dynamic=md5($p)@142a42ffcb282cf8087dd4dfebacdec2", "@dynamic=md5($p)@d41d8cd98f00b204e9800998ecf8427e"} } },
+	{ 1, {0}, {DC_MAGIC, 0x09ABB6B4, NULL, "dynamic=md5($p)", "", "Expression=dynamic=md5($p)\nFlag=MGF_KEYS_INPUT\nFunc=DynamicFunc__crypt_md5\nMaxInputLenX86=110\nMaxInputLen=55\nTest=@dynamic=md5($p)@900150983cd24fb0d6963f7d28e17f72:abc\nTest=@dynamic=md5($p)@527bd5b5d689e2c32ae974c6229ff785:john\nTest=@dynamic=md5($p)@9dc1dc3f8499ab3bbc744557acf0a7fb:passweird", "@dynamic=md5($p)@", { "@dynamic=md5($p)@900150983cd24fb0d6963f7d28e17f72", "@dynamic=md5($p)@527bd5b5d689e2c32ae974c6229ff785","@dynamic=md5($p)@9dc1dc3f8499ab3bbc744557acf0a7fb",
+#if SIMD_COEF_32 < 4
+	"@dynamic=md5($p)@fc58a609d0358176385b00970bfb2b49", // Len 110
+#else
+	"@dynamic=md5($p)@142a42ffcb282cf8087dd4dfebacdec2", // Len 55
+#endif
+	"@dynamic=md5($p)@d41d8cd98f00b204e9800998ecf8427e"} } },
 #if ARCH_LITTLE_ENDIAN
 	{ 1, {6}, {DC_MAGIC, 0x49FD36B6, NULL, "dynamic=md5(md5($p).$s)", "", "Expression=dynamic=md5(md5($p).$s)\nSaltLen=-23\nFlag=MGF_KEYS_BASE16_IN1_MD5\nFlag=MGF_SALTED\nTest=@dynamic=md5(md5($p).$s)@9c4f5b8c75fbabfd2f139ab34fb9da48$df694488:abc\nTest=@dynamic=md5(md5($p).$s)@bba77a29ae019330fc2794fb989526cc$87ffb1c9:john\nTest=@dynamic=md5(md5($p).$s)@59a41226b09eaab88854047448cef789$a69c5744:passweird\nSaltLen=-23\nFunc=DynamicFunc__set_input_len_32_cleartop\nFunc=DynamicFunc__append_salt\nFunc=DynamicFunc__crypt_md5\nMaxInputLenX86=110\nMaxInputLen=55", "@dynamic=md5(md5($p).$s)@", { "@dynamic=md5(md5($p).$s)@9c4f5b8c75fbabfd2f139ab34fb9da48$df694488", "@dynamic=md5(md5($p).$s)@bba77a29ae019330fc2794fb989526cc$87ffb1c9","@dynamic=md5(md5($p).$s)@59a41226b09eaab88854047448cef789$a69c5744"} } },
 #else
